/*  This program is a game with a partly randomized scenery
    Copyright (C) 2002   Stefan Ziegler
    This file is part of RandomXmas v1.14.

    RandomXmas v1.14 is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    RandomXmas v1.14 is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy (gpl.txt) of the GNU General Public
    License along with RandomXmas v1.14; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

While executing the program, you get the license text by pressing the key 'l'.
E-mail address: stefan.ziegler@s1998.tu-chemnitz.de
For additional and/or more actual information see file COPYING in the root
directory of this package.
*/

// Describes the way how to load constants from a file

struct constant
{
	char name_string, 
	char type_name
	int  num_items
	T / T* value, default_value;
	T min, max  // size or value
};

const comment_char;

Read_constants(char filename[])
{
	open file;
	while !eof
		read one line;
		find comment_char and delete following chars
		find in line: name , '=', value
		  with strstream / sscanf 
		for arrays: value = new type_name[num_items]
		if last char == '\' concat value with next line
	close file;
}

Example:
# comment
mann_number = 5
player_name = "Stefan Ziegler"
highscorefile = "/home/xxx/\
		highscore.txt"
light_amb = "0.6 0.6 0.6"
# end 
